<?php

function admin_add_matrix()
{
	global $wpdb;

	 $matrix_id = isset($_GET['matrix']) ? $_GET['matrix'] : 0;

	if($matrix_id > 0)
	{
		$matrix_table = $wpdb->prefix . "fam_matrix";

	$matrix_details = $wpdb->get_row("SELECT * FROM ".$matrix_table." WHERE id = ".$matrix_id );

		$mm_lvl_name = $matrix_details->maturity_name;
		$mm_lvl_desc = $matrix_details->maturity_desc;
		$mm_lvl_number_clm = $matrix_details->maturity_level;
		$mm_fcs_name = $matrix_details->focus_name;
		$mm_fcs_desc = $matrix_details->focus_desc;
		$mm_fcs_number_row = $matrix_details->focus_number;
		$mm_name = $matrix_details->name;

	}
	else
	{
		$mm_lvl_name = '';
		$mm_lvl_desc = '';
		$mm_lvl_number_clm = '';
		$mm_fcs_name = '';
		$mm_fcs_desc = '';
		$mm_fcs_number_row = 1;
		$mm_name = '';
	}


?>
<h1>Add Matrix</h1>
<form method="post" id="first_form" action="<?php echo admin_url();?>admin.php?page=fam_matrix_admin&action=first_step&matrix=<?php echo $matrix_id;?>">
<p><label>Matrix Name:</label> <input type="text" name="mm_name" value="<?php echo $mm_name;?>" id="mm_name"></p>

<!--<p><label>Maturity Level Name:</label></p> -->

 <input autocomplete="off" value="Maturity Levels" type="hidden" name="mm_lvl_name" id="mm_lvl_name">
<p><label>Maturity Level Description:</label> <textarea name="mm_lvl_desc" id="mm_lvl_desc"><?php echo $mm_lvl_desc;?></textarea></p>
<p><label>Number of maturity levels:</label> <input autocomplete="off" value="<?php echo $mm_lvl_number_clm;?>" type="text" name="mm_lvl_number_clm" id="mm_lvl_number_clm"></p>

<!--<p><label>Focus area Name:</label></p> -->

 <input autocomplete="off" value="Focus Areas" type="hidden" name="mm_fcs_name" id="mm_fcs_name">

<p><label>Focus area Description:</label> <textarea name="mm_fcs_desc" id="mm_fcs_desc"><?php echo $mm_fcs_desc;?></textarea></p>
<!--<p><label>No of Focus area:</label></p> -->
 <input autocomplete="off" value="<?php echo $mm_fcs_number_row;?>" type="hidden" name="mm_fcs_number_row" id="mm_fcs_number_row">
<input type="hidden" name="first_step_form" value="1">
<input type="button" name="first_step_form1" onclick="addmatrix();" value="Next"> 
<input type="hidden" name="matrix_id" value="<?php echo $matrix_id;?>">
</form>
<script type="text/javascript">
	(function($) {
	  $.fn.inputFilter = function(inputFilter) {
	    return this.on("input keydown keyup mousedown mouseup select contextmenu drop", function() {
	      if (inputFilter(this.value)) {
	        this.oldValue = this.value;
	        this.oldSelectionStart = this.selectionStart;
	        this.oldSelectionEnd = this.selectionEnd;
	      } else if (this.hasOwnProperty("oldValue")) {
	        this.value = this.oldValue;
	        this.setSelectionRange(this.oldSelectionStart, this.oldSelectionEnd);
	      }
	    });
	  };
	}(jQuery));

	jQuery(document).ready(function() {
	  jQuery("#mm_lvl_number_clm").inputFilter(function(value) {
	    return /^\d*$/.test(value);   
	  });

	  jQuery("#mm_fcs_number_row").inputFilter(function(value) {
	    return /^\d*$/.test(value); 
	  });

	});

	function addmatrix()
	{
		var mm_name = jQuery("#mm_name").val();
		var mm_lvl_name = jQuery("#mm_lvl_name").val();
		var mm_lvl_desc = jQuery("#mm_lvl_desc").val();
		var mm_lvl_number_clm = jQuery("#mm_lvl_number_clm").val();
		var mm_fcs_name = jQuery("#mm_fcs_name").val();
		var mm_fcs_desc = jQuery("#mm_fcs_desc").val();
		var mm_fcs_number_row = jQuery("#mm_fcs_number_row").val();
		var err = 1;

		if(mm_name == '' && mm_name.length < 3)
		{
			err = 2;
			jQuery("#mm_name").css('border-color','red');
		}
		else
			jQuery("#mm_name").css('border-color','');

		if(mm_lvl_name == '' && mm_lvl_name.length < 3)
		{
			err = 2;
			jQuery("#mm_lvl_name").css('border-color','red');
		}
		else
			jQuery("#mm_lvl_name").css('border-color','');

		if(mm_lvl_number_clm == '')
		{
			err = 2;
			jQuery("#mm_lvl_number_clm").css('border-color','red');
		}
		else
			jQuery("#mm_lvl_number_clm").css('border-color','');

		if(mm_fcs_name == '' && mm_fcs_name.length < 3)
		{
			err = 2;
			jQuery("#mm_fcs_name").css('border-color','red');
		}
		else
			jQuery("#mm_fcs_name").css('border-color','');

		if(mm_fcs_number_row == '')
		{
			err = 2;
			jQuery("#mm_fcs_number_row").css('border-color','red');
		}
		else
			jQuery("#mm_fcs_number_row").css('border-color','');

		if(err == 1)
			jQuery("#first_form").submit();

	}
	</script>
	<?php
}