<?php

function fam_matrix_instance()
{	

    global $wpdb;

    $matrix_table = $wpdb->prefix . "fam_matrix";

    $instance_table = $wpdb->prefix . "fam_matrix_instance";

    $instance_succ = '';

    $instance_err = '';   
    $instance_name = '';    
    $instance_desc = ''; 


    $instance_hidden_id = 0;

    if(isset($_GET['instance_id']))
    {
        $instance = $_GET['instance_id'];

        $instance_list  =  $wpdb->get_row("SELECT * FROM ".$instance_table." WHERE id=".$instance);

        if(count($instance_list) > 0)
        {
            $instance_name = $instance_list->name;    
            $instance_desc = $instance_list->description; 
            $instance_hidden_id = $instance_list->id;
        }

    }


    if(isset($_POST['instance_hidden_id']) and $_POST['instance_hidden_id'] > 0)
    {
        $instance_hidden_id = $_POST['instance_hidden_id'];
        $instance_name = trim($_POST['instance_name']);
        $instance_desc = trim($_POST['instance_desc']);

        if(strlen($instance_name) > 3)
        {           

            $wpdb->update( $instance_table, array( 'name' => $instance_name,'description'=>$instance_desc),array('id'=>$instance_hidden_id));

            $instance_succ = '<p style="color:green;">Instance updated successfully.</p>';
            $instance_err = '';   
            $instance_name = '';    
            $instance_desc = ''; 
            $instance_hidden_id = 0;
        }
        else
            $instance_err = '<p style="color:red;">Instance name must be atleast 4 letters.</p>';


    }
    
 	if(isset($_POST['instance_name']) and $_POST['instance_hidden_id'] == 0)
	{
        $instance_name = trim($_POST['instance_name']);
        $instance_desc = trim($_POST['instance_desc']);
        $matrix_id = trim($_POST['matrix_id']);
        $instance_err = '';
        if(strlen($instance_name) > 3)
        {
            $data = array('matrix_id' => $matrix_id, 'name' => $instance_name,'description'=>$instance_desc);
            $format = array('%d','%s','%s');
            $wpdb->insert($instance_table,$data,$format);
            $my_id = $wpdb->insert_id;

            $matrix_table_values = $wpdb->prefix."fam_matrix_values";

            $matrix_data_details = $wpdb->get_results("SELECT * FROM ".$matrix_table_values." WHERE matrix_id = ".$matrix_id." AND instance_id=0 ORDER BY focus_position ASC" );

            if(count($matrix_data_details) > 0)
            {
                $ins_qu= "INSERT INTO ".$matrix_table_values." (matrix_id,instance_id,focus_position,start_cell,end_cell,cell_position,title,description,level) Values ";
                $ins_qu_val = '';
                for($md=0;$md < count($matrix_data_details);$md++)
                {
                    $ins_qu_val .= "(".$matrix_id.",".$my_id.",".$matrix_data_details[$md]->focus_position.",".$matrix_data_details[$md]->start_cell.",".$matrix_data_details[$md]->end_cell.",".$matrix_data_details[$md]->cell_position.",'".$matrix_data_details[$md]->title."','".$matrix_data_details[$md]->description."','".$matrix_data_details[$md]->level."'),";
                }

                if($ins_qu_val != '')
                {
                   $ins_qu_val = rtrim($ins_qu_val, ',');

                   $wpdb->query($ins_qu.$ins_qu_val);
                }
            }

            $instance_succ = '<p style="color:green;">Instance added successfully.</p>';
            $instance_err = '';   
            $instance_name = '';    
            $instance_desc = ''; 
        }
        else
            $instance_err = '<p style="color:red;">Instance name must be atleast 4 letters.</p>';
    }
   
    
	

    if(isset($_GET['matrix_name']))
        $matrix = $_GET['matrix_name'];
    else
        $matrix = 0;

    

    $matrix_list  =  $wpdb->get_results("SELECT * FROM ".$matrix_table);

    if($matrix == 0 and count($matrix_list) > 0)
        $matrix = $matrix_list[0]->id;


    $instance_list  =  $wpdb->get_results("SELECT * FROM ".$instance_table." WHERE matrix_id=".$matrix);

    $data = '';

    

?>

<h1>Matrix Instance</h1>



<p>&nbsp;</p>
<form name="form_matrix" id="form_matrix" method="post" action="">
<p> Select Matrix:</p>

<p><select name="matrix_name" onchange="showmatrixinstance(this.value);" id="matrix_name"> 
    <option value="0">--Select Matrix--</option>
    <?php 
        if(count($matrix_list) > 0)
            {
                $data = '';
                foreach ($matrix_list as $datas)
                {
                
                if($matrix == $datas->id)
                    $data .= '<option selected="selected" value="'.$datas->id.'">'.$datas->name.'</option>';
                else
                    $data .= '<option value="'.$datas->id.'">'.$datas->name.'</option>';

               
                }

                echo $data;
            }
            ?>
</select></p>
<?php 
if($matrix > 0)
{
    ?>
    <input type="hidden" name="matrix_id" value="<?php echo $matrix;?>">
    <input type="hidden" name="instance_hidden_id" value="<?php echo $instance_hidden_id;?>">
<p>Instance Name:</p>
<p><input type="text" autocomplete="off" name="instance_name" value="<?php echo $instance_name;?>"></p>
<?php echo $instance_err; ?>
<p>Instance Description:</p>
<p><textarea name="instance_desc" id="instance_desc"><?php echo $instance_desc;?></textarea></p>
<?php echo $instance_succ; ?>
<p><input type="submit" value="Add instance"></p>

    <?php
}
?>

</form>

    <div >
	<table id="example" class="display" cellspacing="0">
        <thead>
            <tr>
                <th>SI.NO</th>
                <th>Name</th>
                 <th>Description</th>
                <th>Short Code</th>               
                 <th>Options</th>
            </tr>
        </thead>
 
        <tfoot>
            <tr>
                <th>SI.NO</th>
                <th>Name</th>
                <th>Description</th>
                <th>Short Code</th>               
                <th>Options</th>
            </tr>
        </tfoot>
 
        <tbody>
        	<?php $data = '';
        	if(count($instance_list) > 0)
        	{
                $k=1;
	            foreach ($instance_list as $datas)
	            {
	            $data .= '<tr>';
                $data .= '<td>'.$k.'</td>';
                $data .= '<td>'.$datas->name.'</td>';
                $data .= '<td>'.$datas->description.'</td>';
               
                $data .=  '<td>[maturity_matrix matrix="'.$matrix.'" instance="'.$datas->id
            .'"]</td>';
               
                $data .=  '<td><a href="'.admin_url().'admin.php?page=fam_matrix_instance&matrix_name='.$matrix.'&instance_id='.$datas->id.'">Edit</a>&nbsp;&nbsp;<a href="'.admin_url().'admin.php?page=fam_matrix_admin&matrix='.$matrix.'&instance='.$datas->id.'">Edit Instance Matrix</a></td></tr>';
                $k++;
	        	}
        	}

        	echo $data; 

        	?>
           
        </tbody>
    </table>
</div>
    <script type="text/javascript">
    jQuery(document).ready(function() {
    jQuery('#example').DataTable({        
        "bFilter": false
        });



		} );

    function showmatrixinstance(matrix)
    {
        if(matrix != 0)
        window.location.href= "<?php echo get_site_url();?>/wp-admin/admin.php?page=fam_matrix_instance&matrix_name="+matrix;
    }

    </script>

    <?php

}

